<?php

namespace JimsCustomerBooking\Admin\BackendPages;

use JimsCustomerBooking\Database\Booking;
use JimsCustomerBooking\Helpers\SettingsHelper;
use JimsCustomerBooking\Helpers\StringHelper;

class CustomerBookingPage extends BackendPage
{
    use SettingsTrait;

    protected string $name = 'Customer Bookings';
    protected string $parent_slug = 'wpcb_settings.php';
    protected string $menu_slug = 'customer_bookings.php';
    protected string $template_name = 'customer-bookings-list.page';
    protected bool $hide_menu_item = true;

    public function getContent(): void
    {
        $booking = new Booking();
        $current_page = isset($_GET['booking_page']) ? $_GET['booking_page'] : 1;

        $this->getTemplate()->render([
            'title' => $this->name,
            'options' => [],
            'css_class' => $this->getClasses(),
            'pages' => SettingsHelper::getSettingsPages(),
            'statistics' => [
                'sended' => $booking->getStatisticsTotals('sended'),
                'today' => $booking->getStatisticsTotalsByDate(date('d/m/Y'), 'sended'),
            ],
            'parts' => $this->getParts(),
        ], true);
    }

    protected function getClasses(): string
    {
        $classes = [
            StringHelper::getPrefixed('wrapper'),
            'page',
            'page-' . StringHelper::getPrefixed($this->name, 'machine'),
        ];

        return \implode(' ', $classes);
    }
}
