<?php

namespace JimsCustomerBooking\Admin\BackendPages;

use JimsCustomerBooking\Helpers\OptionHelper;
use JimsCustomerBooking\Helpers\SettingsHelper;
use JimsCustomerBooking\Helpers\StringHelper;

if (!class_exists('JimsCustomerBooking\Admin\BackendPages\EmailSubscriptionSettingsPage')) {
    class EmailSubscriptionSettingsPage extends SettingsPage
    {
        use SettingsTrait;

        public const OPTION_NAME = 'subscription';

        protected string $name = 'Subscription';
        protected string $menu_title = 'Subscription';
        protected string $parent_slug = 'wpcb_settings.php';
        protected string $menu_slug = 'wpcb_subscription_settings.php';
        protected string $template_name = 'settings.email-subscription';
        protected bool $hide_menu_item = true;

        public function getContent(): void
        {
            $this->getTemplate()->render([
                'title' => $this->name,
                'options' => OptionHelper::get(static::OPTION_NAME, []),
                'pages' => SettingsHelper::getSettingsPages(),
                'css_class' => StringHelper::getPrefixed('wrapper'),
                'parts' => $this->getParts(),
            ], true, '</div></div></div>');
        }
    }
}
