<?php

namespace JimsCustomerBooking\Admin\BackendPages;

use JimsCustomerBooking\Helpers\OptionHelper;
use JimsCustomerBooking\Helpers\SettingsHelper;
use JimsCustomerBooking\Helpers\StringHelper;

if (!class_exists('JimsCustomerBooking\Admin\BackendPages\NativeFormSettingsPage')) {
    class NativeFormSettingsPage extends BackendPage
    {
        use SettingsTrait;

        public const OPTION_NAME = 'events';

        protected string $name = 'Settings';
        protected string $menu_title = 'Settings';
        protected string $parent_slug = 'wpcb_settings.php';
        protected string $menu_slug = 'wpcb_settings.php';
        protected string $template_name = 'settings.native-form';
        protected bool $hide_menu_item = true;

        public function getContent(): void
        {
            $this->getTemplate()->render([
                'title' => $this->name,
                'options' => OptionHelper::get(static::OPTION_NAME, []),
                'pages' => SettingsHelper::getSettingsPages(),
                'css_class' => StringHelper::getPrefixed('wrapper'),
                'parts' => $this->getParts(),
            ], true, '</div></div></div>');
        }
    }
}
