<?php

namespace JimsCustomerBooking\Helpers;

class ArrayHelper
{
    /**
     * @param mixed      $array
     * @param mixed      $key
     * @param null|mixed $default
     *
     * @throws \JsonException
     */
    public static function getProperty($array, $key, $default = null)
    {
        // check if the key has one or more dots
        if (strpos($key, '.') !== false) {
            $keys = explode('.', $key);
            $value = $array;
            foreach ($keys as $innerKey) {
                if (isset($value[$innerKey])) {
                    $value = self::isJson($value[$innerKey])
                        ? json_decode($value[$innerKey], true, 512, JSON_THROW_ON_ERROR)
                        : $value[$innerKey];
                } else {
                    return $default;
                }
            }

            return $value;
        }

        return $array[$key] ?? $default;
    }

    public static function isJson($string)
    {
        if (!is_string($string)) {
            return false;
        }

        json_decode($string);

        return json_last_error() == JSON_ERROR_NONE;
    }
}
