<?php

namespace JimsCustomerBooking\Helpers;

class SettingsHelper
{
    /**
     * This should run after admin_init hook.
     *
     * @return array|array[]
     */
    public static function getSettingsPages()
    {
        // @var \JimsCustomerBooking\JimsPlugin $jims_instance
        global $jims_instance;

        $backend_pages = array_map(function ($page) {
            if (empty($page->getHook())) {
                return null;
            }

            return [
                'title' => $page->getTitle(),
                'slug' => $page->getMenuSlug(),
                'url' => \menu_page_url($page->getMenuSlug(true), false),
            ];
        }, $jims_instance->getRegistered('backend_pages'));

        // remove first page
        array_shift($backend_pages);

        return $backend_pages;
    }
}
