<?php

namespace JimsCustomerBooking;

use JimsCustomerBooking\Helpers\StringHelper;
use YahnisElsts\PluginUpdateChecker\v5\PucFactory;

class JimsVersioner
{
    public static function activate()
    {
        $option_name = StringHelper::getPrefixed('version', 'machine');
        $current_version = get_option($option_name);

        if ($current_version != JIMS_CBP_VERSION) {
            update_option($option_name, JIMS_CBP_VERSION, true);
        }
    }

    public static function updateCheck()
    {
        return PucFactory::buildUpdateChecker(
            JIMS_CBP_INTERNAL_URL . '/api/downloads/jims-wpcb/latest',
            JIMS_CBP_FILE, // Full path to the main plugin file or functions.php.
            StringHelper::getPrefix() . '-stable',
        );
    }
}
