<?php

namespace JimsCustomerBooking\Shortcodes;

if (!class_exists('JimsCustomerBooking\Shortcodes\Shortcode')) {
    /**
     * Class Shortcode.
     */
    abstract class Shortcode
    {
        protected array $config = [];
        protected string $prefix = 'wpcb';
        protected array $default_attributes = [];

        public function __construct()
        {
            $this->config = array_merge($this->config, $this->configuration());
            add_shortcode($this->config['shortcode_id'], [$this, 'handler']);
        }

        public function __get(string $name): mixed
        {
            $config = $this->configuration();

            return isset($config[$name])
                ? $config[$name]
                : null;
        }

        public function __call($name, $arguments)
        {
            return null;
        }

        abstract public function configuration(): array;

        /**
         * @param mixed $atts
         * @param mixed $content
         *
         * @return mixed
         */
        abstract public function handler($atts, $content);

        protected function getAtts(array $calculated_atts = []): array
        {
            return $calculated_atts; // ???
            // return count($calculated_atts) > 0
            //     ?  array_merge($calculated_atts, $this->default_attributes)
            //     : $this->default_attributes;
        }
    }
}
