<?php

namespace JimsCustomerBooking\Validators;

class JsonValidator extends Validator
{
    public static function isJson(string $string): bool
    {
        if (!is_string($string)) {
            return false;
        }

        json_decode($string);

        return json_last_error() == JSON_ERROR_NONE;
    }

    public static function isJsonArray(string $string): bool
    {
        if (!is_string($string)) {
            return false;
        }

        $data = json_decode($string, true);

        return json_last_error() == JSON_ERROR_NONE && is_array($data);
    }

    public static function isNotEmptyObject($obj, int $key_min_count = 1): bool
    {
        $validator = new self();

        return !$validator->isObjectEmpty($obj) && $validator->objectKeyCount($obj) >= $key_min_count;
    }
}
