<?php

use JimsCustomerBooking\Helpers\FSHelper;
use JimsCustomerBooking\Template;

$dialog = new Template('partial.dialog');

// -----------------------------------------------------------------------------
// Header
// -----------------------------------------------------------------------------
ob_start();

?><img class="dialog__header-image" src="<?= FSHelper::url('build/img/graphics/location-circle.svg'); ?>" alt="">
    <div class="dialog__header-inner">
        <h2 class="dialog__header-heading">Is this the location?</h2>
        <div class="dialog__header-content nflm">
            <p class="js-address-dialog-address"></p>
        </div>
</div><?php

$header = ob_get_clean();

// -----------------------------------------------------------------------------
// Content
// -----------------------------------------------------------------------------
ob_start();

?><div class="map" data-marker="<?= FSHelper::url('build/img/icons/pin-solid.svg'); ?>"></div><?php

$content = ob_get_clean();

// -----------------------------------------------------------------------------
// Footer
// -----------------------------------------------------------------------------
ob_start();

?><ul class="inline-list is-end">
    <li><button formmethod="dialog" class="button dialog__control is-grey has-icon is-cross" value="no">No</button></li>
    <li><button formmethod="dialog" class="button dialog__control has-icon is-tick" value="yes">Yes</button></li>
</ul><?php

$footer = ob_get_clean();

// -----------------------------------------------------------------------------
// Output dialog
// -----------------------------------------------------------------------------
echo $dialog->render([
    'class' => 'is-address-validation',
    'header' => $header,
    'content' => $content,
    'footer' => $footer,
    'closeLabel' => 'Close address dialog'
]);
