<?php

use JimsCustomerBooking\Template;

// phpcs:disable Generic.Files.LineLength

/*
 * @var string $prefix_class
 * @var string $division_id
 * @var array $service_ids
 * @var string $logo_url
 * @var string $hide_logo
 * @var string $class
 * @var string $phone_number
 * @var string $show_country
 * @var string $show_info_text
 * @var string $enable_popup
 * @var string $grouping_enabled
 * @var string $custom_order_enabled
 * @var string $alphabetical_order
 */

$searchForm = new Template('partial.step-search');
$searchError = 'Sorry, no services could be found for that query.';

?><div class="step services nflm" data-name="services" hidden>
    <h2 class="step__title color-themed sr-only fs-larger js-step-title" tabindex="-1">Select services:</h2>

    <search role="search" class="nflm">
        <?= $searchForm->render([
            'label' => 'Search for a service',
            'id' => 'service-search',
            'error' => $searchError,
        ], true); ?>

        <fieldset class="services__results nflm">
            <legend class="sr-only js-search-result-heading"
                data-default="Choose from the available services"
                data-single="1 available service found"
                data-multiple="{count} available services found matching {query}"
            >Choose from the available services</legend>
            <div class="services__results-inner nflm">
                <?php if ($grouping_enabled === 0) { ?>
                    <ul></ul>
                <?php } ?>
            </div>
        </fieldset>
    </search>

    <div class="services__search-error nflm" hidden>
        <h2 class="fs-large"><?= $searchError; ?></h2>
    </div>
</div>
