<?php

$stepNames = $steps_count === 3 ? [
    'Select a division',
    'Select services',
    'Contact details',
] : [
    'Select services',
    'Contact details',
];

?><header class="header">
    <div class="header__outer">
        <div class="header__top">
            <?php if ($data['enable_popup']) { ?>
                <button type="button" class="wpcb__close close-button is-grey js-popup-close button has-icon is-cross" aria-label="Close booking form"></button>
            <?php } ?>

            <h1 class="header__logo <?= $hide_logo ? ' sr-only' : ''; ?>">
                <span class="sr-only">Book a service with Jim's Group</span>
                <img loading="lazy" src="{{logo_url}}" alt="">
            </h1>

            <nav class="header__right">
                {{work_guarantee_button}}

                <?php if (!empty($phone_number)) { ?>
                    <a class="button header__phone is-grey" href="tel:<?= str_replace(' ', '', $phone_number); ?>" aria-label="Call Jim's on {{phone_number}}">
                        <?php // The span exists so we can hide the number on popup on small screen?>
                        <span aria-hidden="true">{{phone_number}}</span>
                    </a>
                <?php } ?>
            </nav>
        </div>

        <!-- FORM PROGRESS -->
        <?php if ($show_steps !== 'client_info') { ?>
            <nav class="progress <?= $steps_count === 2 ? 'is-simple' : 'is-detailed'; ?>">
                <ol class="progress__list">
                    <?php for ($i = 1; $i <= $steps_count; ++$i) { ?>
                        <li class="progress__step"><span class="progress__step-content"><?= $stepNames[$i - 1]; ?></span></li>
                    <?php } ?>
                </ol>
            </nav>
        <?php } ?>
    </div>
</header>
