<?php

use JimsCustomerBooking\Database\Database;
use JimsCustomerBooking\JimsPlugin;
use JimsCustomerBooking\JimsVersioner;

/*
 * Plugin Name: Jim's WP-CB
 * Plugin URI: https://jims.net
 * Description: Plugin to embed Jims's Group functionality
 * Version: 4.0.5
 * Author: Jim's Group
 * Author URI: https://resources.jims.net
 * Text Domain: jims.
 */
if (!defined('ABSPATH')) {
    exit;
}

require __DIR__ . '/vendor/autoload.php';

if (!defined('JIMS_CBP_VERSION')) {
    define('JIMS_CBP_VERSION', JimsPlugin::VERSION);
    define('JIMS_CBP_FILE', __FILE__);
    define('JIMS_CBP_DIR', __DIR__);
    define('JIMS_CBP_URL', plugin_dir_url(__FILE__));
    define('JIMS_CBP_INTERNAL_URL', 'https://app.internal.jims.net');
}

/*
 * Enable auto update
 * Checks for plugin updates in 3 interval and displays a notice if an update is available.
 */
JimsVersioner::updateCheck();

function activate_jims()
{
    JimsVersioner::activate();
    Database::setupOrUpdateDatabase();
    error_log('JIMS ACTIVATED');
}

register_activation_hook(JIMS_CBP_FILE, 'activate_jims');

$jims_instance = new JimsPlugin();
$jims_instance->run();
