<?php

namespace JimsGroup\Datatypes\Franchisee;

/**
 * Class AddressDataType
 * @package JimsGroup\Datatypes\Franchisee
 *
 * @property int $id
 * @property mixed $requested_address
 * @property string $formatted_address
 * @property mixed $unit_number
 * @property string $street_number
 * @property int $street_id
 * @property mixed $street_name
 * @property string $line1
 * @property int $suburb_id
 * @property string $suburb
 * @property string $postcode
 * @property int $state_id
 * @property string $state
 * @property string $country
 * @property string $geocode_x
 * @property string $geocode_y
 * @property int $geocode_accuracy
 * @property mixed $signature
 * @property bool $is_complete
 */
class AddressDataType extends DataType
{
    protected array $default = [
        'id' => 0,
        'requested_address' => null,
        'formatted_address' => "",
        'unit_number' => null,
        'street_number' => "",
        'street_id' => 0,
        'street_name' => null,
        'line1' => "",
        'suburb_id' => 0,
        'suburb' => "",
        'postcode' => "",
        'state_id' => 0,
        'state' => "",
        'country' => "",
        'geocode_x' => "",
        'geocode_y' => "",
        'geocode_accuracy' => 0,
        'signature' => null,
        'is_complete' => false
    ];

    public function validate($data): bool
    {
        return true;
    }
}
