<?php

namespace JimsGroup\Datatypes\Franchisee;

/**
 * Class AllocationRequestDatatype
 * @package JimsGroup\Datatypes\Franchisee
 *
 * @property int $booking_id
 * @property string $google_click_id
 * @property bool $notify_nearby_franchise
 * @property bool $previous_client_user_response
 * @property bool $is_goblitz_booking
 * @property bool $is_subscribed
 */
class AllocationRequestDataType extends DataType
{
    protected array $default = [
        'booking_id' => 0,
        'google_click_id' => '',
        'notify_nearby_franchise' => false,
        'previous_client_user_response' => true,
        'is_goblitz_booking' => false,
        'is_subscribed' => true
    ];

    /**
     * AllocationRequestDatatype constructor.
     * @throws \RuntimeException
     * @param array $data
     */
    public function __construct(array $data = [])
    {
        if (!isset($data['booking_id'])) {
            throw new \RuntimeException('Booking ID is required');
        }

        parent::__construct($data);
    }

    public function validate($data): bool
    {
        return true;
    }
}
