<?php

namespace JimsGroup\Datatypes\Franchisee;

/**
 * Class AllocationResponseDataType
 * @package JimsGroup\Datatypes\Franchisee
 *
 * @property bool $result
 * @property string $message
 * @property int $statusCode
 * @property int $returnType
 * @property AllocationResponsePayloadDataType $payload
 */
class AllocationResponseDataType extends DataType
{
    protected array $default = [
        'result' => true,
        'message' => '',
        'statusCode' => 0,
        'returnType' => 0,
        'payload' => []
    ];

    protected array $cast = [
        'payload' => AllocationResponsePayloadDataType::class
    ];

    public function manager(): ?ManagerDataType
    {
        if (!empty($this->data) && $this->payload instanceof AllocationResponsePayloadDataType) {
            return $this->payload->selected_franchise->manager;
        }

        return null;
    }

    public function validate($data): bool
    {
        return true;
    }
}
