<?php

namespace JimsGroup\Datatypes\Franchisee;

/**
 * Class ClientDatatype
 * @package JimsGroup\Datatypes\Franchisee
 *
 * @property string $client_first_name
 * @property string $client_surname
 * @property string $email
 * @property string $mobile
 */
class ClientDataType extends DataType
{
    protected array $default = [
        'client_first_name' => '',
        'client_surname' => '',
        'email' => '',
        'mobile' => '',
    ];

    protected array $ignored = ['mobile'];

    public function validate($data): bool
    {
        $required_keys = $this->getRequiredKeysForValidation();

        //check if all required keys are present and not empty
        foreach ($required_keys as $key) {
            if (empty($data[$key])) {
                error_log('ClientDatatype: Missing required key: ' . $key);
                return false;
            }
        }

        return true;
    }
}
