<?php

namespace JimsGroup\Datatypes\Franchisee;

/**
 * Class EnquiryResponseDataType
 * @package JimsGroup\Datatypes\Franchisee
 *
 * @property int $division_id
 * @property int $lead_id
 * @property int $lead_source_id
 * @property int $franchise_id
 * @property mixed $allocation_decision
 * @property FranchiseDataType $selected_franchise
 * @property AddressDataType $address
 * @property mixed $client
 * @property int $service_id
 * @property mixed $extra_services_code
 * @property int $booking_status
 * @property string $booking_status_string
 * @property bool $is_sameday_requested
 * @property mixed $comments
 * @property string $source
 * @property bool $should_notify_franchisees
 * @property mixed $report_note
 * @property bool $should_broadcast_unserviced
 * @property mixed $google_click_id
 * @property bool $is_previous_lead
 * @property bool $is_redflag_client
 * @property string $created_date
 * @property bool $is_franchisee_enquiry
 * @property int $existing_enquiry_id
 * @property array $available_contractors
 * @property mixed $ip_address
 * @property mixed $expected_callback_date_time
 * @property mixed $company_name
 * @property string $callcentre_email
 * @property string $LeadMessage
 * @property int $id
 * @property mixed $date_created
 * @property mixed $date_modified
 * @property mixed $created_by_string
 * @property mixed $created_by_user_id
 * @property mixed $modified_by_string
 * @property mixed $modified_by_user_id
 * @property mixed $deleted
 * @property mixed $record_state
 * @property string $record_state_text
 */
class EnquiryResponseDataType extends DataType
{
    protected array $default = [
        'division_id' => 0,
        'lead_id' => 0,
        'lead_source_id' => 0,
        'franchise_id' => 0,
        'allocation_decision' => null,
        'selected_franchise' => [],
        'address' => [],
        'client' => null,
        'service_id' => 0,
        'extra_services_code' => null,
        'booking_status' => 1,
        'booking_status_string' => '',
        'is_sameday_requested' => false,
        'comments' => null,
        'source' => 'Website direct booking',
        'should_notify_franchisees' => false,
        'report_note' => null,
        'should_broadcast_unserviced' => false,
        'google_click_id' => null,
        'is_previous_lead' => false,
        'is_redflag_client' => false,
        'created_date' => '',
        'is_franchisee_enquiry' => true,
        'existing_enquiry_id' => 0,
        'available_contractors' => [],
        'ip_address' => null,
        'expected_callback_date_time' => null,
        'company_name' => null,
        'callcentre_email' => '',
        'LeadMessage' => '',
        'id' => 0,
        'date_created' => null,
        'date_modified' => null,
        'created_by_string' => null,
        'created_by_user_id' => null,
        'modified_by_string' => null,
        'modified_by_user_id' => null,
        'deleted' => null,
        'record_state' => null,
        'record_state_text' => 'Active'
    ];

    public function validate($data): bool
    {
        if (empty($data['division_id']) || empty($data['id'])) {
            error_log('EnquiryResponseDataType: Missing required keys');
            return false;
        }

        return true;
    }
}
