<?php

namespace JimsGroup\Datatypes\Franchisee;

/**
 * Class FranchiseDataType
 * @package JimsGroup\Datatypes\Franchisee
 *
 * @property string $code
 * @property string $territory
 * @property int $division_id
 * @property string $division
 * @property string $franchisor
 * @property string $franchisor_manager
 * @property string $franchise_type
 * @property ManagerDataType $manager
 * @property string $available_date_time
 * @property string $callback_message
 * @property string $call_back_period
 * @property string $popbox_message
 * @property string $popbox_start_date
 * @property string $popbox_finish_date
 * @property string $business_type
 * @property string $address
 * @property string $join_date
 * @property string $leave_date
 * @property string $last_updated_date
 * @property bool $is_cross_division
 * @property bool $is_sameday_guarantee
 * @property bool $is_post_dated
 * @property int $business_status
 * @property string $finish_date
 * @property bool $is_working_franchisor
 * @property string $abn
 * @property string $acn
 * @property string $company_name
 * @property int $photo_file_id
 * @property int $average_star_rating
 * @property int $id
 * @property string $date_created
 * @property string $date_modified
 * @property string $created_by_string
 * @property int $created_by_user_id
 * @property string $modified_by_string
 * @property int $modified_by_user_id
 * @property string $deleted
 * @property string $record_state
 * @property string $record_state_text
 */
class FranchiseDataType extends DataType
{
    protected array $default = [
        'code' => null,
        'territory' => null,
        'division_id' => 0,
        'division' => null,
        'franchisor' => null,
        'franchisor_manager' => null,
        'franchise_type' => null,
        'manager' => null,
        'available_date_time' => null,
        'callback_message' => null,
        'call_back_period' => null,
        'popbox_message' => null,
        'popbox_start_date' => null,
        'popbox_finish_date' => null,
        'business_type' => null,
        'address' => null,
        'join_date' => null,
        'leave_date' => null,
        'last_updated_date' => null,
        'is_cross_division' => false,
        'is_sameday_guarantee' => false,
        'is_post_dated' => false,
        'business_status' => 0,
        'finish_date' => null,
        'is_working_franchisor' => false,
        'abn' => null,
        'acn' => null,
        'company_name' => null,
        'photo_file_id' => null,
        'average_star_rating' => 0,
        'id' => 0,
        'date_created' => null,
        'date_modified' => null,
        'created_by_string' => null,
        'created_by_user_id' => null,
        'modified_by_string' => null,
        'modified_by_user_id' => null,
        'deleted' => null,
        'record_state' => null,
        'record_state_text' => 'Active'
    ];


    protected array $cast = [
       'manager' => ManagerDataType::class,
    ];

    public function validate($data): bool
    {
        return true;
    }
}
