<?php

namespace JimsGroup\Datatypes\Franchisee;

/**
 * Class ManagerDataType
 * @package JimsGroup\Datatypes\Franchisee
 *
 * @property string $first_name
 * @property string $title
 * @property string $surname
 * @property string $mobile
 * @property string $home_phone
 * @property string $work_phone
 * @property string $email
 * @property string $fax
 * @property string $company_name
 * @property bool $is_subscribed
 * @property int $customer_id
 * @property bool $is_goblitz_subscribed
 * @property int $billing_address_id
 * @property string $full_name
 * @property int $id
 * @property string $date_created
 * @property string $date_modified
 * @property string $created_by_string
 * @property int $created_by_user_id
 * @property string $modified_by_string
 * @property int $modified_by_user_id
 * @property string $deleted
 * @property string $record_state
 * @property string $record_state_text
 */
class ManagerDataType extends DataType
{
    protected array $default = [
        'first_name' => '',
        'title' => '',
        'surname' => '',
        'mobile' => '',
        'home_phone' => null,
        'work_phone' => null,
        'email' => '',
        'fax' => null,
        'company_name' => null,
        'is_subscribed' => false,
        'customer_id' => 0,
        'is_goblitz_subscribed' => false,
        'billing_address_id' => 0,
        'full_name' => '',
        'id' => 0,
        'date_created' => null,
        'date_modified' => null,
        'created_by_string' => null,
        'created_by_user_id' => null,
        'modified_by_string' => null,
        'modified_by_user_id' => null,
        'deleted' => null,
        'record_state' => null,
        'record_state_text' => 'Active'
    ];

    public function validate($data): bool
    {
        return true;
    }
}
