<?php

namespace JimsGroup\Datatypes\Franchisee;

/**
 * Class ProspectRequestDataType
 * @package JimsGroup\Datatypes\Franchisee
 *
 * @property int $booking_id
 * @property string $client_first_name
 * @property string $client_surname
 * @property string $email
 * @property string $mobile
 * @property string $comments
 * @property bool $send_enquiry
 * @property int $selectedBusinessId
 *
 */
class ProspectRequestDataType extends DataType
{
    protected array $default = [
        'booking_id' => 0,
        'client_first_name' => '',
        'client_surname' => '',
        'email' => '',
        'mobile' => '',
        'comments' => '',
        'send_enquiry' => true,
        'selectedBusinessId' => 0
    ];

    protected array $ignored = ['comments', 'send_enquiry', 'mobile'];

    public function validate($data): bool
    {
        $required_keys = $this->getRequiredKeysForValidation();

        //check if all required keys are present and not empty
        foreach ($required_keys as $key) {
            if (empty($data[$key])) {
                return false;
            }
        }

        return true;
    }
}
