<?php

/**
 * This files contains examples of how to use the JimsAPI
 */

include './create-token.php';


//FE API

$franchiseeApi = new \JimsGroup\Apis\FranchiseeEnquiry();

$franchiseeApi->setMode('production');
$franchiseeApi->setTryToParseJson(true);
try {
    $enquiry = $franchiseeApi->prepareEnquiry(5, $dtoken[1]);
    //get the id
    if ($enquiry->id !== 0) {
        $addressValidationResponse = $franchiseeApi->validateAddress(
            $enquiry->id,
            '63 Whiteman Street, Southbank VIC, Australia',
            $dtoken[1]
        );

        $allocationRequestResponse = null;
        if (!empty($addressValidationResponse->id)) {
            $allocationRequestResponse = $franchiseeApi->allocate($addressValidationResponse->id, $dtoken[1]);

            print_r($allocationRequestResponse->toArray());
        }

        if (!empty($allocationRequestResponse) && $allocationRequestResponse->payload->selected_franchise->id  !== 0) {
            $requestBooking = $franchiseeApi->sendRequest(
                $addressValidationResponse->id,
                new \JimsGroup\Datatypes\Franchisee\ClientDataType([
                    'client_first_name' => 'test',
                    'client_surname' => 'test',
                    'email' => 'test@jims.net',
                ]),
                $allocationRequestResponse->payload->selected_franchise->id,
                $dtoken[1]
            );
        }
    }
} catch (Exception $e) {
    Logger::log($e->getMessage());
}
