<?php

/**
 * This files contains examples of how to use the JimsAPI
 *
 * @var \JimsGroup\Api $jimsAPI
 * @var \JimsGroup\Datatypes\AddressType $address
 * @var string $dtoken
 */

include './create-token.php';


$header_token = $dtoken[1];

// Get the CustomerBooking API
$customerBookingApi = $jimsAPI->getCustomerBookingApi();
$customerBookingApi->setAuthToken('3e8bce9e-be45-4499-b31a-23b6fb067aa7');

//add the header token
$customerBookingApi->setHeaderAuthToken($header_token);


$customerBookingApi->setMode('hf');
$customerBookingApi->setCompatibilityMode(true);

//initial booking request, getting service list
$data = $customerBookingApi->getInitialBookingRequest([
    'countryCode' => 'AU',
//    'serviceListName' => 'CarDetailingVicPaintProtection'
]);

include './create-booking-address.php';


$allocationRequestResponseObj = $customerBookingApi->sendAllocationRequest(
    5,
    [766],
    $address->toArray(),
    [
        'address' => null,
        'addressString' => $address->getFullAddress(),
        'allow_rating' => true,
        'comments' => 'cb3 brandsource and confirmed not previous client',
        'isUserInfoConfirmed' => null,
        'emailAddress' => 'flint.janos3@hello.com',
        'firstName' => 'Flint',
        'lastName' => 'Jackal1',
        'phoneNumber' => '472222998',
        'subscribed' => true,
        'businessName' => null
    ],
    $customerBookingApi->getAuthToken(),
);


//var_dump($allocationRequestResponseObj);
if ($allocationRequestResponseObj->isEmpty()) {
    exit('Allocation request failed');
}


error_log(json_encode($allocationRequestResponseObj->toArray()));
