<?php

namespace JimsGroup\Tests;

use PHPUnit\Framework\TestCase;
use JimsGroup\Utilities\Logger;

final class LoggerTest extends TestCase
{
    public function testSimpleLog()
    {
        $this->assertTrue(Logger::log('test'));
    }

    public function testObjectLog()
    {
        $this->assertTrue(Logger::log(new \stdClass()));
    }

    public function testArrayLog()
    {
        $this->assertTrue(Logger::log([1,2,3]));
    }

    public function testTimer()
    {
        Logger::timer('start');
        sleep(5);
        $time = Logger::timer('end');
        $this->assertTrue($time > 4);

        Logger::log($time);
    }
}
